Bug 10823 - Obtaining NIC Hardware Address
Summary: Obtaining NIC Hardware Address
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-14 18:15 UTC by Karl Burkett
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-14 18:15:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karl Burkett 2000-04-14 18:15:37 UTC
This is less a problem, and more of a suggestion for an improvement.

I've created a kickstart script that makes use of DHCP to assign the IP and
next server information to the computer being loaded.  I need a nice
consistant way to get the computer's NIC hardware address. I see that pump
prints out a message "sending dhcp request through device XXXX" to the F3
window, and the F4 window sometimes contains the hardware address (3com
cards at least).  What I want to suggest is the following:  Can pump read
and then output the Hardware Address from the NIC to the F3 log window?
This would allow the hardware address to show up in a consistant location.
I've not been able to discover what is causing the hardware address to show
up in the F4 window and this causes me to worry that it will not be there
for all NIC cards.

Please let me know what you think of the idea.

Thanks.

Comment 1 Erik Troan 2000-08-16 12:41:44 UTC
It will be on VC4 for all NIC cards. It's part of pump's internal logging (which
goes through syslog)


Note You need to log in before you can comment on or make changes to this bug.